Delete a template
curl --request DELETE \
--url https://api.recoupable.dev/api/agents/templates/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.recoupable.dev/api/agents/templates/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.recoupable.dev/api/agents/templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success"
}{
"status": "error",
"error": "<string>",
"missing_fields": [
"<string>"
]
}{
"status": "error",
"error": "<string>",
"missing_fields": [
"<string>"
]
}{
"status": "error",
"error": "<string>",
"missing_fields": [
"<string>"
]
}{
"status": "error",
"error": "<string>",
"missing_fields": [
"<string>"
]
}Templates
Delete Template
Permanently delete an template. Only the owner of the template may perform this action. Associated share records and favorite entries are removed as part of the deletion.
DELETE
/
api
/
agents
/
templates
/
{id}
Delete a template
Authorizations
apiKeyAuthbearerAuth
Your Recoup API key. Learn more.
Path Parameters
The unique identifier (UUID) of the template to delete
Response
Template deleted successfully
Status of the request
Available options:
success Was this page helpful?
⌘I
